Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1885138 - Wrong detection of pending state in VM details
Summary: Wrong detection of pending state in VM details
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Kubevirt Plugin
Version: 4.6
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.7.0
Assignee: Rastislav Wagner
QA Contact: Guohua Ouyang
URL:
Whiteboard: ux_issue
Depends On:
Blocks: 1887782 1888218
TreeView+ depends on / blocked
 
Reported: 2020-10-05 08:29 UTC by Tomas Jelinek
Modified: 2021-02-24 15:23 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: UI does not detect when PVC is being cloned Consequence: VM state is reported as pending without further info Fix: Check DataVolume resource to see if PVC is being cloned Result: VM state is reported as Importing with progress bar and additional info (link to pod/pvc)
Clone Of:
: 1887782 (view as bug list)
Environment:
Last Closed: 2021-02-24 15:22:35 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 6916 0 None closed Bug 1885138: Include CDI disk cloning to VM status 2021-01-13 09:44:40 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:23:05 UTC

Description Tomas Jelinek 2020-10-05 08:29:39 UTC
Description of problem:
When creating a VM from a golden image, while the data is being copied, the status shows "pending". That is wrong, this status means that the PVCs are not yet bound. The Correct status should be "Copying image (CDI)" and the popover should look very similar to the import from the URL one (without progress tracking since that is not supported).

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Create a VM from golden image
2. Go to VM details
3.

Actual results:
The status is incorrect

Expected results:
The status is correct

Additional info:

Comment 3 Guohua Ouyang 2020-11-23 04:36:00 UTC
verified on master ui

Comment 6 errata-xmlrpc 2021-02-24 15:22:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.